#ifndef __INCLUDE_DELAYS_H__
#define __INCLUDE_DELAYS_H__
// fra
#define Fcy  40000000
#define Delay200uS_count  (Fcy * 0.0002) / 1080
#define Delay500uS_count  (Fcy * 0.0005) / 1080
#define Delay_1mS_Cnt	  (Fcy * 0.001) / 2950
#define Delay_2mS_Cnt	  (Fcy * 0.002) / 2950
#define Delay_5mS_Cnt	  (Fcy * 0.005) / 2950
#define Delay_20mS_Cnt	  (Fcy * 0.020) / 2950
#define Delay_1S_Cnt	  (Fcy * 1) / 2950 

void Delay( unsigned int delay_count );
void Delay_Us( unsigned int delayUs_count );

typedef struct myclock
{
	unsigned int sec;
	unsigned int cent; 
} myclock;

void initClk();
void tickClk();
void resetClk(myclock *me);
void SetAlarm(myclock *me, int s, int cs);
int  ExpAlarm(myclock *me);

#define DELAYF    40
#define DELAYHF   (DELAYF/2)
#define DELAYIF   90
#define DELAYOC   80

#endif