#ifndef PBLH
#define PBLH

#include "cclass.h"
#include "delays.h"
#include "types.h"


CLASS (PBL)
	unsigned int state_;
	EE_UINT8 pblID_;
	bool *lock_;
	bool *light_;
	bool *button_;
	bool *atfloor_;
METHODS
	enum Signal PBLGetSignals(PBL *me);
	void PBLInit(PBL *me);
	void PBLTran_(PBL *me, unsigned int dest);
	void PBLDispatch(PBL *me);

	void PBLInitlocals(PBL *me, bool *lock, bool *button, bool *light, bool *isat);
	void PBLSetLight_ (PBL *me, int on_off );
	void PBLDisplayLock_(PBL *me, bool lck);
END_CLASS

#endif // PBLH